Bug 1430365 - [RFE] Host-group names command rename
Summary: [RFE] Host-group names command rename
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ipa
Version: 8.3
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-08 13:09 UTC by Andrey Bondarenko
Modified: 2020-11-04 02:50 UTC (History)
9 users (show)

Fixed In Version: ipa-4.8.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 02:50:13 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Andrey Bondarenko 2017-03-08 13:09:34 UTC
Description of problem:

In the IPA there is a possibility to rename users group with the command line interface:

     ipa  group-mod test_group --rename="test1_group"

However, hostgroup-mod does not have --rename option for host groups.


Version-Release number of selected component (if applicable):

    IPA 4.4

Why does the customer need this? (List the business requirements here)  

Often customer havs internal clients renaming team names, systems etc, so it would be great if we could rename hosts groups.

 How would the customer like to achieve this? (List the functional requirements here)  

    ipa hostgroup-mod name --rename="newname"
    

Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  

    RHEL7

Is the sales team involved in this request and do they have any additional input?  
    
   No
  
List any affected packages or components.  
      
    ipa

Would the customer be able to assist in testing this functionality if implemented?

    Yes

Comment 2 Petr Vobornik 2017-03-17 16:02:06 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6783

Comment 8 Alexander Bokovoy 2020-03-31 06:26:04 UTC
Test cases are provided: ipatests/test_xmlrpc/test_hostgroup_plugin.py:TestHostGroup::test_rename_hostgroup() and test_rename_ipaservers().

Comment 9 Kaleem 2020-03-31 06:41:51 UTC
xmlrpc tests added are sufficient to verify this, no additional test cases needed.

Comment 18 errata-xmlrpc 2020-11-04 02:50:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: idm:DL1 and idm:client security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4670


Note You need to log in before you can comment on or make changes to this bug.